#ifndef __Set__
#define __Set__
#include "Node.h"

class Set {
   private:
      Node *head;
      Node *current;
      void DeepCopy(const Set&);
      void Destroy(Node*);
   public:
      Set() ; //default constructor
      ~Set(); //destructor
      Set(const Set&); // copy constructor
      void operator=(const Set&); // assignment operator
      bool add(int);
      bool hasMoreElements()const;
      int  next() ; 
};
#endif
